Bug 1127701 - cinder backup with ceph backend lacks the input of the ceph user's keyring file
Summary: cinder backup with ceph backend lacks the input of the ceph user's keyring file
Keywords:
Status: CLOSED EOL
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-foreman-installer
Version: 5.0 (RHEL 7)
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
: Installer
Assignee: Crag Wolfe
QA Contact: Shai Revivo
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-08-07 11:26 UTC by Yogev Rabl
Modified: 2016-09-29 13:36 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-09-29 13:36:26 UTC


Attachments (Terms of Use)

Description Yogev Rabl 2014-08-07 11:26:25 UTC
Description of problem:
One of the necessary parameters in needed to configure the Ceph backend is missing from the hostgroup parameters:
As described in the page http://ceph.com/docs/next/rbd/rbd-openstack/ the cinder backup need to use the cinder-backup client keyring file, located in /etc/ceph/ . 

Version-Release number of selected component (if applicable):
ruby193-rubygem-staypuft-0.1.22-1.el6ost.noarch

Actual results:
There's a parameter for ceph password

Comment 1 Crag Wolfe 2014-08-07 22:11:57 UTC
Right now, staypuft/astapor does not configure *anything* under /etc/ceph (like keyrings).  There are RFE's filed for puppet management of that directory and its contents.  Additionally, staypuft/astapor does not configure the cinder-backup service.

Comment 2 Mike Burns 2014-08-07 22:15:14 UTC
Closing based on the above.  ceph configuration is external to staypuft at the current time

Comment 3 Tzach Shefi 2014-08-10 13:02:43 UTC
I've been asked to check staypuft's cinder and glance with Ceph backend. 
Ceph option added on current release great but still missing Ceph parameters. Hence can't check staypuft's configuration of Ceph for Cinder\Glance, adding blocker.  

Version:
rhel-osp-installer-0.1.9-1.el6ost.noarch
foreman-installer-1.5.0-0.6.RC2.el6ost.noarch
openstack-foreman-installer-2.0.18-1.el6ost.noarch

Comment 5 Mike Burns 2014-08-11 12:37:41 UTC
All ceph parameters for cinder and glance are defaulted and available in the advanced configuration.  There are not required parameters to be exposed in the standard wizard.  

As stated in comment 1, cinder-backup is not configured/supported at this time.

Comment 6 Mike Orazi 2014-08-11 14:13:43 UTC
Can we get doc_text for the present use of ceph-deploy to populate config values?

Comment 7 Crag Wolfe 2014-08-12 03:18:46 UTC
I'm not sure how to do this.  Passing on the needinfo to Neil.

When I added a compute node (which is not a ceph mon node), I used "ceph deploy install" to install the needed packages (we won't need to do this anymore when the astapor puppet manifests install the packages; the PR for that is already merged).  Then, I copied/rsync'ed the entirety of the /etc/ceph/ dir from one of the existing ceph cluster nodes.  I couldn't see from the documentation of ceph-deploy how to copy over the needed config files to be sure that /etc/ceph/ceph.conf, ceph.client.images.keyring, and ceph.client.volumes.keyring were created on the compute node.

Comment 8 Yogev Rabl 2014-08-12 11:39:49 UTC
Mike, I disagree, the Ceph basic configurations for Glance and Cinder require these parameters. Administrators would need to know what they need to provide them in order to work with Ceph, without additional post installation configurations.

Comment 9 Mike Burns 2014-08-12 12:19:31 UTC
(In reply to Yogev Rabl from comment #8)
> Mike, I disagree, the Ceph basic configurations for Glance and Cinder
> require these parameters. Administrators would need to know what they need
> to provide them in order to work with Ceph, without additional post
> installation configurations.

Ceph configuration supported in this release is very limited.  All other configuration that is needed outside of what is available in advanced configuration must be done separate from RHEL-OSP Installer.

Comment 10 Neil Levine 2014-10-14 03:54:50 UTC
Just saw that this is still open.

As Puppet is creating the client keyrings and ceph.conf, the assupmtion was that Puppet would be responsible for copying these to the compute nodes as well as the controller. Can you confirm this is what has been implemented for A2?

N

Comment 11 Mike Burns 2014-10-14 15:07:22 UTC
Crag, can you confirm this is all set in A2?

Comment 12 Crag Wolfe 2014-10-15 03:54:45 UTC
Confirmed that puppet creates the client images and volumes keyring files on the controller and compute nodes.  Note this has nothing to do the with the subject of this BZ, cinder-backup, which we are not configuring.

Comment 16 Jaromir Coufal 2016-09-29 13:36:26 UTC
Closing list of bugs for RHEL OSP Installer since its support cycle has already ended [0]. If there is some bug closed by mistake, feel free to re-open.

For new deployments, please, use RHOSP director (starting with version 7).

-- Jaromir Coufal
-- Sr. Product Manager
-- Red Hat OpenStack Platform

[0] https://access.redhat.com/support/policy/updates/openstack/platform


Note You need to log in before you can comment on or make changes to this bug.